The Execute Saved Advanced Search service will run the newer saved advanced search, created via /goto/individuals, indicated for the service and return the individual profiles of the individuals that currently satisfy the search.
Service Name
execute_advanced_search
Required Parameters
| Name | Type |
|---|---|
| id | integer |
Optional Parameters
| Name | Type |
|---|---|
| include_inactive | boolean |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=execute_advanced_search&id=1"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="execute_advanced_search" name="srv"/>
<argument value="1" name="id"/>
</parameters>
</request>
<response>
<service>execute_advanced_search</service>
<service_action>execute</service_action>
<availability>public</availability>
<individuals count="396">
…see individual profiles…
</individuals>
</response>
</ccb_api>